pro xxx_Med_S_depth, S1, S2, SLev, sEXP1, sEXP2, start_end, DEPTH=depth, LAT=lat, POSTSCRIPT = postscript,  _extra = ex
  
  compile_opt idl2, strictarrsubs

   @common


   if KEYWORD_SET(POSTSCRIPT) then begin
      openps, '029_'+sEXP1+'_Med_Levitus_S_depth'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.ps'   
   endif
;domdef, 0, 6000

;domdef,270,365,5,70
   minval = min(abs(gdept -  depth),index)
;
   varunit = S1.unit
;  
   title = sEXP1+'  Mediterranean water at ' +strtrim(lat,1)+'N / year '+start_end 
   pltz, S1.arr, MININ = 35., MAXIN = 37., INTER = 0.1,  UNIT = varunit $
         , small = [1,2,1], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000., /PORTRAIT, _extra = ex 
;

   if sEXP1 ne sEXP2 then begin
      
      title = sEXP1+' - '+sEXP2+' Mediterranean  water at '+strtrim(lat,1)+'N / year '+start_end
      pltz, S1.arr - S2.arr, MININ = -.4, MAXIN = .4, INTER = .05, UNIT = varunit $ 
            , small = [1,2,2], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000.,  _extra = ex 
      
   endif else begin
   
      title = sEXP1+' - Levitus Mediterranean  water at '+strtrim(lat,1)+'N / year '+start_end
      pltz, S1.arr-SLev.arr, MININ = -1., MAXIN = 1., INTER=0.1, UNIT = varunit $ 
            , small = [1,2,2], COAST_THICK = 2, endpoints = [300., lat, 357., lat], TITLE = title, boxzoom = [2000.], ZOOM = 2000., _extra = ex 
   endelse


   title ='Mediterranean water Lat: '+strtrim(lat,1)+', '+strtrim(depth,1)
   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/029_'+sEXP1+'_Med_Levitus_S_depth'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.png  />  ' ]
   putfile, '/tmp/prova.txt', text

   if KEYWORD_SET(POSTSCRIPT) then begin
      closeps
   endif


   return
end
