pro xxx_Med_S_tongue, S1, S2, SLev, sEXP1, sEXP2, start_end, DEPTH=depth, LAT=lat, POSTSCRIPT = postscript,  _extra = ex
  
  compile_opt idl2, strictarrsubs

   @common


   if KEYWORD_SET(POSTSCRIPT) then begin
      openps, '028_Med_S_tongue_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.ps'   
   endif
;domdef, 0, 6000

;domdef,270,365,5,70
minval = min(abs(gdept -  depth),index)
;
varunit = S1.unit
;  
   title = sEXP1+' Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
   plt, S1.arr, MININ=35., MAXIN=37., INTER=0.1,  UNIT= varunit $
         , small=[1,2,1], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
;
  if sEXP1 ne sEXP2 then begin
     
     title = sEXP1+' - '+sEXP2+' Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
     plt, S1.arr - S2.arr, MININ = -.4, MAXIN = .4, INTER = .05,  UNIT = varunit $
          , small=[1,2,2], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
  
  endif else begin
     
     title = sEXP1+' - Levitus Mediterranean salt tongue at depth=' + strtrim(gdept[index],1)+' m / year '+start_end
     plt, S1.arr - SLev.arr, MININ=-1., MAXIN=1., INTER=0.1,  UNIT = varunit $
          , small=[1,2,2], boxzoom = [270, 365, 5,70, index,index],/zindex, COAST_THICK=2, TITLE=title,  /PORTRAIT, _extra=ex
     
  endelse

  title ='Mediterranean water Lat: '+strtrim(lat,1)+', '+strtrim(depth,1)
  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/028_Med_S_tongue_'+sEXP1+'_'+strtrim(lat,1)+'_d'+strtrim(depth,1)+'_S_y'+start_end+'.png  />  ' ]
  putfile, '/tmp/prova.txt', text
   
  if KEYWORD_SET(POSTSCRIPT) then begin
      closeps
   endif


   return
end
